<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>PlayApplicationBinarySpec (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PlayApplicationBinarySpec (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/play/JvmClasses.html" title="interface in org.gradle.play"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/play/PlayApplicationSpec.html" title="interface in org.gradle.play"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/play/PlayApplicationBinarySpec.html" target="_top">Frames</a></li>
<li><a href="PlayApplicationBinarySpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.play</div>
<h2 title="Interface PlayApplicationBinarySpec" class="title">Interface PlayApplicationBinarySpec</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../org/gradle/platform/base/ApplicationBinarySpec.html" title="interface in org.gradle.platform.base">ApplicationBinarySpec</a>, <a href="../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base">Binary</a>, <a href="../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a>, <a href="../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a>, <a href="../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api">BuildableComponentSpec</a>, <a href="../../../org/gradle/api/CheckableComponentSpec.html" title="interface in org.gradle.api">CheckableComponentSpec</a>, <a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a>, <a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a>, <a href="../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">PlayApplicationBinarySpec</span>
extends <a href="../../../org/gradle/platform/base/ApplicationBinarySpec.html" title="interface in org.gradle.platform.base">ApplicationBinarySpec</a></pre>
<div class="block">Represents a binary artifact that is the result of building a Play application software component.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.gradle.api.Named">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/Named.html" title="interface in org.gradle.api">Named</a></h3>
<code><a href="../../../org/gradle/api/Named.Namer.html" title="class in org.gradle.api">Named.Namer</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/play/PlayApplicationSpec.html" title="interface in org.gradle.play">PlayApplicationSpec</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/play/PlayApplicationBinarySpec.html#getApplication()">getApplication</a></strong>()</code>
<div class="block">The application that this binary belongs to.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/play/PublicAssets.html" title="interface in org.gradle.play">PublicAssets</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/play/PlayApplicationBinarySpec.html#getAssets()">getAssets</a></strong>()</code>
<div class="block">A buildable object representing the public assets that will be included in the assets jar file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/play/PlayApplicationBinarySpec.html#getAssetsJarFile()">getAssetsJarFile</a></strong>()</code>
<div class="block">The assets jar file produced for this binary.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/play/JvmClasses.html" title="interface in org.gradle.play">JvmClasses</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/play/PlayApplicationBinarySpec.html#getClasses()">getClasses</a></strong>()</code>
<div class="block">A buildable object representing the class files and resources that will be included in the application jar file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a>,<a href="../../../org/gradle/language/javascript/JavaScriptSourceSet.html" title="interface in org.gradle.language.javascript">JavaScriptSourceSet</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/play/PlayApplicationBinarySpec.html#getGeneratedJavaScript()">getGeneratedJavaScript</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a>,<a href="../../../org/gradle/language/scala/ScalaLanguageSourceSet.html" title="interface in org.gradle.language.scala">ScalaLanguageSourceSet</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/play/PlayApplicationBinarySpec.html#getGeneratedScala()">getGeneratedScala</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/play/PlayApplicationBinarySpec.html#getJarFile()">getJarFile</a></strong>()</code>
<div class="block">The application jar file produced for this binary.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/play/platform/PlayPlatform.html" title="interface in org.gradle.play.platform">PlayPlatform</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/play/PlayApplicationBinarySpec.html#getTargetPlatform()">getTargetPlatform</a></strong>()</code>
<div class="block">The PlayPlatform this binary is built for.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/play/toolchain/PlayToolChain.html" title="interface in org.gradle.play.toolchain">PlayToolChain</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/play/PlayApplicationBinarySpec.html#getToolChain()">getToolChain</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.BinarySpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../org/gradle/platform/base/BinarySpec.html" title="interface in org.gradle.platform.base">BinarySpec</a></h3>
<code><a href="../../../org/gradle/platform/base/BinarySpec.html#getInputs()">getInputs</a>, <a href="../../../org/gradle/platform/base/BinarySpec.html#getSources()">getSources</a>, <a href="../../../org/gradle/platform/base/BinarySpec.html#getTasks()">getTasks</a>, <a href="../../../org/gradle/platform/base/BinarySpec.html#isBuildable()">isBuildable</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.BuildableComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/BuildableComponentSpec.html" title="interface in org.gradle.api">BuildableComponentSpec</a></h3>
<code><a href="../../../org/gradle/api/BuildableComponentSpec.html#builtBy(java.lang.Object...)">builtBy</a>, <a href="../../../org/gradle/api/BuildableComponentSpec.html#getBuildTask()">getBuildTask</a>, <a href="../../../org/gradle/api/BuildableComponentSpec.html#hasBuildDependencies()">hasBuildDependencies</a>, <a href="../../../org/gradle/api/BuildableComponentSpec.html#setBuildTask(org.gradle.api.Task)">setBuildTask</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Buildable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/Buildable.html" title="interface in org.gradle.api">Buildable</a></h3>
<code><a href="../../../org/gradle/api/Buildable.html#getBuildDependencies()">getBuildDependencies</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.CheckableComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/CheckableComponentSpec.html" title="interface in org.gradle.api">CheckableComponentSpec</a></h3>
<code><a href="../../../org/gradle/api/CheckableComponentSpec.html#checkedBy(java.lang.Object...)">checkedBy</a>, <a href="../../../org/gradle/api/CheckableComponentSpec.html#getCheckTask()">getCheckTask</a>, <a href="../../../org/gradle/api/CheckableComponentSpec.html#setCheckTask(org.gradle.api.Task)">setCheckTask</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.ComponentSpec">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../org/gradle/platform/base/ComponentSpec.html" title="interface in org.gradle.platform.base">ComponentSpec</a></h3>
<code><a href="../../../org/gradle/platform/base/ComponentSpec.html#getProjectPath()">getProjectPath</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.model.ModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.model.<a href="../../../org/gradle/model/ModelElement.html" title="interface in org.gradle.model">ModelElement</a></h3>
<code><a href="../../../org/gradle/model/ModelElement.html#getDisplayName()">getDisplayName</a>, <a href="../../../org/gradle/model/ModelElement.html#getName()">getName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.platform.base.Binary">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.platform.base.<a href="../../../org/gradle/platform/base/Binary.html" title="interface in org.gradle.platform.base">Binary</a></h3>
<code><a href="../../../org/gradle/platform/base/Binary.html#getDisplayName()">getDisplayName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getApplication()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getApplication</h4>
<pre><a href="../../../org/gradle/play/PlayApplicationSpec.html" title="interface in org.gradle.play">PlayApplicationSpec</a>&nbsp;getApplication()</pre>
<div class="block">The application that this binary belongs to.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/gradle/platform/base/ApplicationBinarySpec.html#getApplication()">getApplication</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/gradle/platform/base/ApplicationBinarySpec.html" title="interface in org.gradle.platform.base">ApplicationBinarySpec</a></code></dd>
</dl>
</li>
</ul>
<a name="getTargetPlatform()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetPlatform</h4>
<pre><a href="../../../org/gradle/play/platform/PlayPlatform.html" title="interface in org.gradle.play.platform">PlayPlatform</a>&nbsp;getTargetPlatform()</pre>
<div class="block">The PlayPlatform this binary is built for.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>platform for this binary</dd></dl>
</li>
</ul>
<a name="getToolChain()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getToolChain</h4>
<pre><a href="../../../org/gradle/play/toolchain/PlayToolChain.html" title="interface in org.gradle.play.toolchain">PlayToolChain</a>&nbsp;getToolChain()</pre>
</li>
</ul>
<a name="getJarFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJarFile</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getJarFile()</pre>
<div class="block">The application jar file produced for this binary.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the application jar file</dd></dl>
</li>
</ul>
<a name="getAssetsJarFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAssetsJarFile</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getAssetsJarFile()</pre>
<div class="block">The assets jar file produced for this binary.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the assets jar file</dd></dl>
</li>
</ul>
<a name="getClasses()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClasses</h4>
<pre><a href="../../../org/gradle/play/JvmClasses.html" title="interface in org.gradle.play">JvmClasses</a>&nbsp;getClasses()</pre>
<div class="block">A buildable object representing the class files and resources that will be included in the application jar file.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the JvmClasses for this binary</dd></dl>
</li>
</ul>
<a name="getAssets()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAssets</h4>
<pre><a href="../../../org/gradle/play/PublicAssets.html" title="interface in org.gradle.play">PublicAssets</a>&nbsp;getAssets()</pre>
<div class="block">A buildable object representing the public assets that will be included in the assets jar file.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the PublicAssets for this binary</dd></dl>
</li>
</ul>
<a name="getGeneratedScala()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeneratedScala</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a>,<a href="../../../org/gradle/language/scala/ScalaLanguageSourceSet.html" title="interface in org.gradle.language.scala">ScalaLanguageSourceSet</a>&gt;&nbsp;getGeneratedScala()</pre>
</li>
</ul>
<a name="getGeneratedJavaScript()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getGeneratedJavaScript</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="../../../org/gradle/language/base/LanguageSourceSet.html" title="interface in org.gradle.language.base">LanguageSourceSet</a>,<a href="../../../org/gradle/language/javascript/JavaScriptSourceSet.html" title="interface in org.gradle.language.javascript">JavaScriptSourceSet</a>&gt;&nbsp;getGeneratedJavaScript()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/play/JvmClasses.html" title="interface in org.gradle.play"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/play/PlayApplicationSpec.html" title="interface in org.gradle.play"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/play/PlayApplicationBinarySpec.html" target="_top">Frames</a></li>
<li><a href="PlayApplicationBinarySpec.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
